/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.Employment;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 * @alias CompensationAgreement
 */
public class CompenAgreement {
    public void makeCompensationAgreement() {
    }

    public void addDetail() {
    }

    /**  */
    public BigDecimal calcCompensation() {
        return new BigDecimal(0);
    }

    public void complete() {
    }

    public void cancel() {
    }

    public static int assessTrendInCompensationAgreements() {
        return 0;
    }

    public static Vector listCompensationAgreements() {
        return new Vector();
    }

    private Date date;
    private int applicableInterval;

    /**
     *@shapeType AggregationLink
     *  @supplierCardinality 1..*
     * @supplierRole salary,benefits
     * @clientCardinality 1
     */
    private CompenAgreementDetail lnkUnnamed11;

    /** @supplierCardinality 1 */
    private IMakeCompenAgreement lnkUnnamed;
    private Date dateApproved;
    private Date dateRejected;
}


